com.microfocus.awm.meta.modelextension

## Class ToolTypeComplexAttribute

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes
    - - com.microfocus.awm.meta.modelextension.ComplexAttributeExtension
      - - com.microfocus.awm.meta.modelextension.ToolTypeComplexAttribute

- All Implemented Interfaces:
    IModelExtensionWithAttributes

  Deprecated.
  Use `ComplexAttributeExtension` instead.

      @Deprecated
      public class ToolTypeComplexAttribute
      extends ComplexAttributeExtension

  Complex attribute for a tool type extension. This class is remained by compatibility reason and do not contain any method now.
  Author:
    Ralf Pakosch, Christelle Biahmou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolTypeComplexAttribute(java.lang.String pID, java.lang.String pLabel, EModelExtensionCardinality pCardinality, FunctionPackageExtension pFunctionPackage)` Deprecated. Basic constructor.

  - ### Method Summary

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ComplexAttributeExtension

      `getCardinality, getIcon, isShowSequenceNumbers, setCardinality, toString`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes

      `getAllAttributes, getAllSimpleAttribues, getAttributes, getComplexAttributeReferences, getComplexAttributes, getReferenceAttributes`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolTypeComplexAttribute

          public ToolTypeComplexAttribute(java.lang.String pID,
                                          java.lang.String pLabel,
                                          EModelExtensionCardinality pCardinality,
                                          FunctionPackageExtension pFunctionPackage)

      Deprecated.
      Basic constructor.
      Parameters:
        `pID` - the ID of the element
        `pLabel` - the label of the element
        `pCardinality` - cardinality constant
        `pFunctionPackage` - the function package

Copyright © 2015 Micro Focus GmbH. All rights reserved.